# Get

## Retrieve an existing member

### Parameters:

| Name           | Optional / Required | Data type | Description                                                                                                                                              | Default                                                                                           |
| -------------- | ------------------- | --------- | -------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------- |
| id             | required            | String    | One of your member ids                                                                                                                                   |                                                                                                   |
| return\_fields | optional            | String    | Customize the responses by setting the return fields ('id', 'username', 'comment', 'password', 'access\_tags', 'kiosks', 'create\_date', 'update\_date') | 'id', 'username', 'comment', 'password', 'access\_tags', 'kiosks', 'create\_date', 'update\_date' |

### Demo

&#x20;URL Find your token on - [yumpu.com](https://www.yumpu.com/en/account/profile/api) Token&#x20;

&#x20;id&#x20;

#### Optional parameters:

&#x20;return\_fields&#x20;

Add optional parametersRun request

```
```

{% tabs %}
{% tab title="curl" %}
Example:

```
curl -X GET -H "X-ACCESS-TOKEN: YOUR_ACCESS_TOKEN" "https://api.yumpu.com/2.0/account/member.json?id=vGbxpwFZuvvdAGnS"
```

{% endtab %}

{% tab title="PHP" %}
Example:

```php
require_once('../yumpu.php');
$yumpu = new Yumpu();
$data = array(
    'id' => 'vGbxpwFZuvvdAGnS'
);
$listMember = $yumpu->getMember($data);
print_r($listMember);
```

{% endtab %}

{% tab title="JavaScript" %}
Example:

```javascript
var yumpu = require('yumpu');
yumpu.setToken('yourToken');
var parameters = {
  id: 'vGbxpwFZuvvdAGnS'
};
yumpu.getMember(parameters, function(statusCode, document){
   console.log('Status: ' + statusCode);
   console.log(document);
});
```

{% endtab %}

{% tab title="Java" %}
Example:

```java
Yumpu y = new Yumpu("your access token");
String[] params = {"id=vGbxpwFZuvvdAGnS"};
System.out.println(y.getMember(params));
```

{% endtab %}
{% endtabs %}

Whatever language you are using, the result will be the same.

```javascript
{
  "member": {
    "id": "vGbxpwFZuvvdAGnS",
    "create_date": "2014-11-03 12:59:52",
    "update_date": "0000-00-00 00:00:00",
    "username": "user1",
    "password": "password",
    "comment": "user1",
    "access_tags": [
      {
        "id": "zxeeYReHnxeg8RqZ",
        "name": "accesstag1",
        "default": true
      }
    ],
    "kiosks": [
      {
        "id": "1572",
        "type": "webkiosk"
      }
    ]
  },
  "state": "success",
  "completed_in": "0.0809"
}
```
